## statsmodels 0.14.5%2Bdfsg

=== debian/control ===
Source: statsmodels
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>,
           Diane Trout <diane@ghic.org>,
           Rebecca N. Palmer <rebecca_palmer@zoho.com>
Section: python
Priority: optional
Build-Depends: cython3 (>= 3.0.10~),
               debhelper-compat (= 13),
               dh-sequence-numpy3,
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-colorama <!nocheck> <!nodoc>,
               python3-cvxopt <!nocheck> <!nodoc>,
               python3-dateutil <!nocheck> <!nodoc>,
               python3-jinja2 <!nocheck> <!nodoc>,
               python3-joblib <!nocheck> <!nodoc>,
               python3-matplotlib,
               python3-numpy (>= 1:2.0.0~),
               python3-packaging (>= 21.3~),
               python3-pandas (>= 1.4~),
               python3-patsy (>= 0.5.6~) <!nocheck> <!nodoc>,
               python3-pytest <!nocheck>,
               python3-pytest-forked <!nocheck>,
               python3-scipy (>= 1.13~),
               python3-setuptools (>= 69.0.2~),
               python3-setuptools-scm (>= 8~),
               python3-tk <!nocheck> <!nodoc>
Build-Depends-Indep: python3-jupyter-client <!nodoc>,
                     python3-nbconvert <!nodoc>,
                     python3-nbsphinx <!nodoc>,
                     python3-notebook <!nodoc>,
                     python3-numpydoc <!nodoc>,
                     python3-pickleshare <!nodoc>,
                     python3-seaborn <!nodoc>,
                     python3-simplegeneric <!nodoc>,
                     python3-sphinx <!nodoc>,
                     python3-yaml <!nodoc>,
                     python3-yapf <!nodoc>,
                     jdupes <!nodoc>,
# for intersphinx inventories
                     python-matplotlib-doc <!nodoc>,
                     python-numpy-doc <!nodoc>,
                     python-scipy-doc <!nodoc>,
                     python-pandas-doc <!nodoc>,
                     python3-doc <!nodoc>,
# for the comparing-with-R examples, and example datasets
                     r-base-core <!nodoc>,
                     python3-rpy2 <!nodoc>,
                     r-cran-cardata <!nodoc>,
                     r-cran-geepack <!nodoc>,
                     r-cran-guerry <!nodoc>,
                     r-cran-lme4 <!nodoc>,
                     r-cran-mass <!nodoc>,
                     r-cran-robustbase <!nodoc>,
                     r-cran-vcd <!nodoc>,
                     pandoc <!nodoc>
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/statsmodels
Vcs-Git: https://salsa.debian.org/science-team/statsmodels.git
Homepage: https://www.statsmodels.org

Package: python-statsmodels-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-requirejs,
         libjs-mathjax
Suggests: python3-statsmodels,
          python3-doc,
          python-numpy-doc,
          python-patsy-doc,
          python-pandas-doc,
          python-scipy-doc
Breaks: python-scikits-statsmodels-doc,
        python-scikits.statsmodels-doc,
        python-statsmodels (<< 0.9.0-3~)
Replaces: python-scikits-statsmodels-doc,
          python-scikits.statsmodels-doc,
          python-statsmodels (<< 0.9.0-3~)
Description: documentation and examples for statsmodels
 Statsmodels Python modules are providing classes and functions for
 the estimation of several categories of statistical models. These
 currently include linear regression models, OLS, GLS, WLS and GLS
 with AR(p) errors, generalized linear models for several distribution
 families and M-estimators for robust linear models. An extensive list
 of result statistics are available for each estimation problem.
 .
 This package contains HTML documentation and example scripts for
 python-statsmodels.

Package: python3-statsmodels
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
# packages built with numpy 2.x _should_ work in numpy 1.x, but why risk that when in Debian there's practically no benefit
         python3-numpy (>= 1:2.0.0~),
         python3-scipy (>= 1.13~),
         python3-statsmodels-lib (>= ${source:Version}),
         python3-patsy (>= 0.5.6~),
         python3-pandas (>= 1.4~)
Recommends: python3-matplotlib,
            python3-joblib,
            python3-colorama,
            python3-cvxopt
Suggests: python-statsmodels-doc
Provides: ${python3:Provides}
Description: Python3 module for the estimation of statistical models
 statsmodels Python3 module provides classes and functions for the
 estimation of several categories of statistical models. These
 currently include linear regression models, OLS, GLS, WLS and GLS
 with AR(p) errors, generalized linear models for several distribution
 families and M-estimators for robust linear models. An extensive list
 of result statistics are available for each estimation problem.

Package: python3-statsmodels-lib
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-numpy
Description: Python3 low-level implementations and bindings for statsmodels
 Statsmodels is a Python module for the estimation of statistical models.
 .
 This package contains internal libraries for python3-statsmodels.  Users
 should not need to install it directly.

## statsmodels 0.14.5+dfsg

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

PAPER         =
TOOLSPATH	  = ../tools/
DATASETBUILD  = dataset_rst.py
NOTEBOOKBUILD = nbgenerate.py

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(O)

.PHONY: help Makefile

html:
    # make directories for images
	@echo "Make static directory for images"
	mkdir -p $(BUILDDIR)/html/_static
	# generate the examples rst files
	@echo "Generating datasets from installed statsmodels.datasets"
	$(TOOLSPATH)$(DATASETBUILD)
	@echo "Executing notebooks from examples/notebooks folder"
	mkdir -p $(BUILDDIR)/source/examples/notebooks/generated
	# Black list notebooks from doc build here
	$(TOOLSPATH)$(NOTEBOOKBUILD) --parallel --report-errors --skip-existing --execute-only --execution-blacklist statespace_custom_models
	@echo "Running sphinx-build"
	@echo @$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(O)
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(O)

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(O)

=== debian/changelog ===
statsmodels (0.14.5+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1109960) Refresh patches.
  * Update d/copyright.
  * Remove obsolete README.source.
  * Tighten (Build-)Depends versions.
  * Re-add intersphinx Build-Depends.
  * Bump Standards-Version to 4.7.2 (no changes needed).
  * Use pybuild-plugin-pyproject.
  * Simplify d/rules, list deleted files, use more modern dh style
    (dh-sequence*, execute_before/after*).
  * Docs: build-depend on pickleshare for bookmarks,
    build .py examples from .ipynb with python3 shebang.
  * Docs reproducibility: strip ipykernel IDs and more times,
    strip before indexing, fix another random seed.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 10 Aug 2025 14:13:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: statsmodels
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>,
            Diane Trout <diane@ghic.org>,

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# override HOME (for weave) and matplotlib config directory
# to allow building in chroots with read-only HOME
export HOME=$(CURDIR)/build
export MPLCONFIGDIR=$(HOME)

#block internet access
export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9

export PY3VER=$(shell py3versions -vd)
SOURCE_DATE:=$(shell LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 date -u -d "@$(SOURCE_DATE_EPOCH)" "+%a, %d %b %Y" || echo "xxx, xx xxx xxxx")
SOURCE_TIME:=$(shell LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 date -u -d "@$(SOURCE_DATE_EPOCH)" "+%T" || echo "xx:xx:xx")

export PYBUILD_NAME=statsmodels
export PYBUILD_INSTALL_ARGS=--install-layout=deb

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# timings from 0.14.5
# <2min to start of documentation build (includes module build)
# ~15min executing notebook examples (discrete_choice_overview alone *may* be ~7min but unclear due to parallelization)
# ~8min reading sources, ~6min writing output, other documentation buld steps short
# ~15min first ~1/3rd of tests, after which it hung, probably due to the timing mechanism

# drop the build log in salsa-ci reprotest so we can see the diff
%:
ifeq (,$(filter nolog,$(DEB_BUILD_OPTIONS)))
	dh $@ --buildsystem=pybuild
else
	dh $@ --buildsystem=pybuild > /dev/null 2> /dev/null
endif

# To guarantee HOME existence with mpl 1.3.0
# See https://github.com/matplotlib/matplotlib/issues/2300
#     https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=719384
execute_before_dh_auto_build:
	mkdir -p $(MPLCONFIGDIR)
	: # Hardcode backend to Agg to avoid doc build and tests failures
	echo "backend : Agg" >| $(MPLCONFIGDIR)/matplotlibrc

execute_after_dh_auto_build-indep:
	: # I: Generate documentation
	: # Build Documentation -- assure existence of build/html for nodoc
	: # Reproducibility: stopping the clock (or slowing it down enough to get all 00:00:00) with faketime (near-)hangs
	: # 0.9.0 including notebooks step: in glm_weights.ipynb
	: # 0.14.5 sphinx-build only: in reading sources, last line output is statsmodels.functional.graphics.hdrboxplot
	mkdir -p build/html
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	python3 debian/datasets/prepopulate_cache.py
	LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 python3 tools/export_notebooks_to_python.py
	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
	BUILDDIR=$(CURDIR)/build \
	STATSMODELS_DATA=$(CURDIR)/build/datacache/ \
	 LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 make -C docs html
	mv docs/build/* build/
	: # replace timestamps and build paths in examples output for reproducibility
	for html in `find build/html examples -name _modules -prune -o -name "*.html" -o -name "*.ipynb" -o -name "*.ipynb.txt"` ; do \
	    sed -i -e 's#$(CURDIR)/.pybuild/[^/]*/build/statsmodels/#/usr/lib/python3/dist-packages/statsmodels/#g' \
	    -e 's# at 0x[0-9a-f]\{8,16\}\(&gt;\|>\)# at 0xadde5de1e8ed\1#g' \
	    -e 's#tmp/ipykernel_[0-9]\+#tmp/ipykernel_nnnnnnn#g' \
	    -e 's#^\s\+.\(iopub.execute_input\|iopub.status.busy\|iopub.status.idle\|shell.execute_reply\).:.*# #g' \
	    -e 's#\(Date:.*\)[A-Z][a-z]\+, \+[0-9]\+,\? \+[A-Z][a-z]\+,\? \+[0-9]\+#\1$(SOURCE_DATE)#g' \
	    -e 's#\(Time:.*\)[0-9][0-9]:[0-9][0-9]:[0-9][0-9]#\1$(SOURCE_TIME)#g' $${html} ; \
	done
	rm -rf docs/source/generated/
endif

override_dh_auto_clean:
	# dh_auto_clean would try to run setup.py clean, which fails with a message saying to use git clean instead
	# we can't do that because the buildds don't get a git repo
	-rm -rf cythonize.dat \
	       *.egg-info \
	       *.png \
	       .pybuild \
	       .pytest_cache \
	       build \
	       docs/build/ \
	       docs/rehab.table \
	       docs/salary.table \
	       docs/source/datasets/generated \
	       docs/source/examples/notebooks \
	       docs/source/savefig \
	       docs/source/dev/generated \
	       docs/source/datasets/statsmodels.datasets.*.rst \
	       docs/source/examples/notebooks/generated \
	       docs/source/examples/index.rst \
	       examples/executed \
	       tools/hash_dict.pickle
	find . -name __pycache__ -print0 | xargs -0 rm -rf
	find . -name *.pyx -print0 | sed -e "s/\.pyx/.c/g" | xargs -0 rm -f
	find . -name *.pyx.in -print0 | sed -e "s/\.pyx\.in/.pyx/g" | xargs -0 rm -f
	: # Remove autogenerated version.py
	rm -f statsmodels/version.py statsmodels/_version.py docs/source/examples/index.rst

# statsmodels has a conftest.py that uses testroot-only features, so the tests must be run from the statsmodels directory, not its parent
# https://github.com/statsmodels/statsmodels/issues/5108
# the cd is to be "anywhere but pkgroot" to avoid subprocesses (test_lazy_imports) importing the source tree (current directory is tried before PYTHONPATH), which doesn't work because the built .so files aren't there
# the inner 'for' (expected to be a single item, cpython3_${testpy3ver}_statsmodels/build) is because globs aren't expanded when setting env vars
# TEST_SUCCESS is used because the return status of a for-loop is its last item, not the "fail if any of them do" wanted here
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	TEST_SUCCESS=true ; cd tools && for testpy3ver in `py3versions -vs` ; do \
	for testpath in ../.pybuild/*$${testpy3ver}*/*/statsmodels ; do \
	PYTHONPATH=$${testpath}/.. python$${testpy3ver} -m pytest -v $${testpath} || TEST_SUCCESS=false ; \
	rm -rf $${testpath}/.pytest_cache ; \
	done ; done ; $${TEST_SUCCESS}
endif

## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -X.inv -Xobjects.inv

execute_before_dh_link:
	: # deduplicate images - the ||true is because we only build-depend on jdupes if we're building documentation
	jdupes -r -l debian/python-statsmodels-doc/usr/share/doc || true

execute_after_dh_auto_install:
	: # Remove compiled due to testing files
	find debian -name *.pyc -delete
	rm -f debian/*/usr/lib/*/dist-packages/enet_poisson.csv debian/*/usr/lib/*/dist-packages/enet_binomial.csv
	: # strip docs/ since they aren't really a Python module, there is -doc for it
	: # TODO find debian -wholename \*scikits/statsmodels/docs | xargs rm -rf
	: # remove other unnecessary files
	rm -fv debian/*/usr/setup.cfg
	find debian -iname COPYING -o -iname LICENSE* | xargs -r rm -fv
	: # move binary libraries into -lib
	for PACKAGE_NAME in python3-statsmodels; do \
	  for lib in $$(find debian/$${PACKAGE_NAME}/usr -name '*.so'); do \
	     sdir=$$(dirname $$lib) ; \
	     tdir=debian/$${PACKAGE_NAME}-lib/$${sdir#*$${PACKAGE_NAME}/} ; \
	     mkdir -p $$tdir ; \
	     echo "I: Moving '$$lib' into '$$tdir'." ; \
	     mv $$lib $$tdir ; \
	  done ; \
	done

execute_after_dh_fixperms:
	find debian -name "*.txt" -exec chmod -x \{\} \;

=== debian/watch ===
version=4
opts="dversionmangle=s/.dfsg[0-9]*$//,uversionmangle=s/rc/~rc/g;s/dev/~dev/g,filenamemangle=s/.*\/(.*)/statsmodels-$1/,repacksuffix=+dfsg" \
 https://github.com/statsmodels/statsmodels/tags .*/v?(\d[\d.]+)\.tar\.gz

## statsmodels 0.14.6+dfsg

=== debian/changelog ===
statsmodels (0.14.6+dfsg-1+rpi1) forky-staging; urgency=medium

  [changes brought forward from 0.10.2-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Tue, 04 Feb 2020 00:34:03 +0000]
  * Disable testsuite.

  [changes introduced in 0.11.1-2+rpi1 by Peter Michael Green]
  * Disable documentation build due to timeouts.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 15 Jan 2026 06:29:28 +0000

statsmodels (0.14.6+dfsg-1) unstable; urgency=medium

  * New upstream release.  Refresh patches.
  * Salsa CI: disable mostly-useless debrebuild.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 18 Dec 2025 07:37:30 +0000

=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,7 @@
 	: # 0.9.0 including notebooks step: in glm_weights.ipynb
 	: # 0.14.5 sphinx-build only: in reading sources, last line output is statsmodels.functional.graphics.hdrboxplot
 	mkdir -p build/html
-ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+ifeq (docdisabled,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	python3 debian/datasets/prepopulate_cache.py
 	LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 python3 tools/export_notebooks_to_python.py
 	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
@@ -101,7 +101,7 @@
 # the inner 'for' (expected to be a single item, cpython3_${testpy3ver}_statsmodels/build) is because globs aren't expanded when setting env vars
 # TEST_SUCCESS is used because the return status of a for-loop is its last item, not the "fail if any of them do" wanted here
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq (testsuitedisabled,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	TEST_SUCCESS=true ; cd tools && for testpy3ver in `py3versions -vs` ; do \
 	for testpath in ../.pybuild/*$${testpy3ver}*/*/statsmodels ; do \
 	PYTHONPATH=$${testpath}/.. python$${testpy3ver} -m pytest -v $${testpath} || TEST_SUCCESS=false ; \
